/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh.ejb;

import java.lang.reflect.ParameterizedType;

import br.urca.scdh.IGerenciadorCadastro;

abstract class GerenciadorCadastroBase<T, C extends Number>
	implements IGerenciadorCadastro<T, C>
{
	@Override
	public T criar()
	{
		try
		{
			@SuppressWarnings("unchecked")
			Class<T> classe = (Class<T>) ((ParameterizedType) getClass().
				getGenericSuperclass()).getActualTypeArguments()[0];
			return classe.newInstance();
		}
		catch (InstantiationException ex)
		{
			throw new RuntimeException(ex);
		}
		catch (IllegalAccessException ex)
		{
			throw new RuntimeException(ex);
		}
	}
}
