/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "DH_ASSUNTOS_DOCUMENTOS")
public class AssuntoDocumento
{
	private CodigoAssuntoDocumento _codigo;
	private Assunto _assunto;
	private Documento _documento;

	@EmbeddedId
	public CodigoAssuntoDocumento getCodigo()
	{
		return _codigo;
	}

	public void setCodigo(CodigoAssuntoDocumento codigo)
	{
		_codigo = codigo;
	}

	@ManyToOne
	@JoinColumn(name = "COD_ASSUNTO")
	@NotNull
	public Assunto getAssunto()
	{
		return _assunto;
	}

	public void setAssunto(Assunto assunto)
	{
		_assunto = assunto;
	}

	// TODO: Informar referencedColumnName se necessrio
	@ManyToOne
	@JoinColumn(name = "COD_DOCUMENTO", insertable = false, updatable = false)
	public Documento getDocumento()
	{
		return _documento;
	}

	public void setDocumento(Documento documento)
	{
		_documento = documento;
	}
}
