/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "DH_CIDADES")
public class Cidade
{
	private CodigoCidade _codigo;
	private String _nome;
	private Estado _estado;
	
	@EmbeddedId
	public CodigoCidade getCodigo()
	{
		return _codigo;
	}

	public void setCodigo(CodigoCidade codigo)
	{
		_codigo = codigo;
	}

	@NotNull
	public String getNome()
	{
		return _nome;
	}

	public void setNome(String nome)
	{
		_nome = nome;
	}

	// TODO: Informar referencedColumnName se necessrio
	@ManyToOne
	@JoinColumns({
		@JoinColumn(name = "COD_PAIS", referencedColumnName = "COD_PAIS",
			insertable = false, updatable = false),
		@JoinColumn(name = "COD_ESTADO", referencedColumnName = "COD_ESTADO",
			insertable = false, updatable = false)
	})
	public Estado getEstado()
	{
		return _estado;
	}

	public void setEstado(Estado estado)
	{
		_estado = estado;
	}
}
