/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@Embeddable
public class CodigoAssuntoDocumento implements Serializable
{
	private static final long serialVersionUID = 7008820966570015518L;
	
	private int _codigoDocumento;
	private int _item;
	
	@Column(name = "COD_DOCUMENTO")
	public int getCodigoDocumento()
	{
		return _codigoDocumento;
	}
	
	public void setCodigoDocumento(int codigoDocumento)
	{
		_codigoDocumento = codigoDocumento;
	}
	
	@Column(name = "COD_ITEM")
	public int getItem()
	{
		return _item;
	}
	
	public void setItem(int item)
	{
		_item = item;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
		{
			return true;
		}
		if (obj == null)
		{
			return false;
		}
		if (getClass() != obj.getClass())
		{
			return false;
		}
		
		CodigoAssuntoDocumento outro = (CodigoAssuntoDocumento) obj;
		
		if (_codigoDocumento != outro.getCodigoDocumento())
		{
			return false;
		}
		if (_item != outro.getItem())
		{
			return false;
		}
		return true;
	}

	@Override
	public int hashCode()
	{
		final int PRIMO = 31;
		int resultado = 1;
		resultado = PRIMO * resultado + _codigoDocumento;
		resultado = PRIMO * resultado + _item;
		return resultado;
	}
}
