/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@Embeddable
public class CodigoCidade implements Serializable
{
	private static final long serialVersionUID = 532361577919569898L;
	
	private short _codigoPais;
	private short _codigoEstado;
	private short _codigo;
	
	@Column(name = "COD_PAIS")
	public short getCodigoPais()
	{
		return _codigoPais;
	}
	
	public void setCodigoPais(short codigoPais)
	{
		_codigoPais = codigoPais;
	}
	
	@Column(name = "COD_ESTADO")
	public short getCodigoEstado()
	{
		return _codigoEstado;
	}
	
	public void setCodigoEstado(short codigoEstado)
	{
		_codigoEstado = codigoEstado;
	}
	
	@Column(name = "COD_CIDADE")
	public short getCodigo()
	{
		return _codigo;
	}
	
	public void setCodigo(short codigo)
	{
		_codigo = codigo;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
		{
			return true;
		}
		if (obj == null)
		{
			return false;
		}
		if (getClass() != obj.getClass())
		{
			return false;
		}
		
		CodigoCidade outro = (CodigoCidade) obj;
		
		if (_codigoPais != outro.getCodigoPais())
		{
			return false;
		}
		if (_codigoEstado != outro.getCodigoEstado())
		{
			return false;
		}
		if (_codigo != outro.getCodigo())
		{
			return false;
		}
		return true;
	}

	@Override
	public int hashCode()
	{
		final int PRIMO = 31;
		int resultado = 1;
		resultado = PRIMO * resultado + _codigoPais;
		resultado = PRIMO * resultado + _codigoEstado;
		resultado = PRIMO * resultado + _codigo;
		return resultado;
	}
}
