/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "DH_ESTADOS")
public class Estado
{
	private CodigoEstado _codigo;
	private String _nome;
	private List<Cidade> _cidades = new ArrayList<Cidade>();
	private Pais _pais;

	@EmbeddedId
	public CodigoEstado getCodigo()
	{
		return _codigo;
	}

	public void setCodigo(CodigoEstado codigo)
	{
		_codigo = codigo;
	}

	@NotNull
	public String getNome()
	{
		return _nome;
	}

	public void setNome(String nome)
	{
		_nome = nome;
	}

	@OneToMany(
		mappedBy = "estado", cascade = {CascadeType.ALL}, orphanRemoval = true)
	public List<Cidade> getCidades()
	{
		return _cidades;
	}

	public void setCidades(List<Cidade> cidades)
	{
		_cidades = cidades;
	}

	// TODO: Informar referencedColumnName se necessrio
	@ManyToOne
	@JoinColumn(name = "COD_PAIS", insertable = false, updatable = false)
	public Pais getPais()
	{
		return _pais;
	}

	public void setPais(Pais pais)
	{
		_pais = pais;
	}
}
