/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "DH_PAISES")
public class Pais
{
	private short _codigo;
	private String _nome;
	private List<Estado> _estados = new ArrayList<Estado>();
	
	@Id
	@Column(name = "COD_PAIS")
	public short getCodigo()
	{
		return _codigo;
	}
	
	public void setCodigo(short codigo)
	{
		_codigo = codigo;
	}

	@NotNull
	public String getNome()
	{
		return _nome;
	}

	public void setNome(String nome)
	{
		_nome = nome;
	}

	@OneToMany(
		mappedBy = "pais", cascade = {CascadeType.ALL}, orphanRemoval = true)
	public List<Estado> getEstados()
	{
		return _estados;
	}

	public void setEstados(List<Estado> estados)
	{
		_estados = estados;
	}
}
