/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Embedded;

@Embeddable
public class PeriodoProducao
{
	private DataProducao _inicio;
	private DataProducao _fim;

	@Embedded
	@AttributeOverrides({
		@AttributeOverride(name = "dia.inicial",
			column = @Column(name = "DIA_INICIAL_PRODUCAO_INICIAL")),
		@AttributeOverride(name = "dia.final",
			column = @Column(name = "DIA_FINAL_PRODUCAO_INICIAL")),
		@AttributeOverride(name = "mes.inicial",
			column = @Column(name = "MES_INICIAL_PRODUCAO_INICIAL")),
		@AttributeOverride(name = "mes.final",
			column = @Column(name = "MES_FINAL_PRODUCAO_INICIAL")),
		@AttributeOverride(name = "ano.inicial",
			column = @Column(name = "ANO_INICIAL_PRODUCAO_INICIAL")),
		@AttributeOverride(name = "ano.final",
			column = @Column(name = "ANO_FINAL_PRODUCAO_INICIAL"))
	})
	public DataProducao getInicio()
	{
		return _inicio;
	}

	public void setInicio(DataProducao inicio)
	{
		_inicio = inicio;
	}

	@Embedded
	@AttributeOverrides({
		@AttributeOverride(name = "dia.inicial",
			column = @Column(name = "DIA_INICIAL_PRODUCAO_FINAL")),
		@AttributeOverride(name = "dia.final",
			column = @Column(name = "DIA_FINAL_PRODUCAO_FINAL")),
		@AttributeOverride(name = "mes.inicial",
			column = @Column(name = "MES_INICIAL_PRODUCAO_FINAL")),
		@AttributeOverride(name = "mes.final",
			column = @Column(name = "MES_FINAL_PRODUCAO_FINAL")),
		@AttributeOverride(name = "ano.inicial",
			column = @Column(name = "ANO_INICIAL_PRODUCAO_FINAL")),
		@AttributeOverride(name = "ano.final",
			column = @Column(name = "ANO_FINAL_PRODUCAO_FINAL"))
	})
	public DataProducao getFim()
	{
		return _fim;
	}

	public void setFim(DataProducao fim)
	{
		_fim = fim;
	}
}
