/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "DH_PRODUTORES_DOCUMENTOS")
public class ProdutorDocumento
{
	private CodigoProdutorDocumento _codigo;
	private Produtor _produtor;
	private Documento _documento;

	@EmbeddedId
	public CodigoProdutorDocumento getCodigo()
	{
		return _codigo;
	}

	public void setCodigo(CodigoProdutorDocumento codigo)
	{
		_codigo = codigo;
	}
	
	@ManyToOne
	@JoinColumn(name = "COD_PRODUTOR")
	@NotNull
	public Produtor getProdutor()
	{
		return _produtor;
	}
	
	public void setProdutor(Produtor produtor)
	{
		_produtor = produtor;
	}
	
	// TODO: Informar referencedColumnName se necessrio
	@ManyToOne
	@JoinColumn(name = "COD_DOCUMENTO", insertable = false, updatable = false)
	public Documento getDocumento()
	{
		return _documento;
	}
	
	public void setDocumento(Documento documento)
	{
		_documento = documento;
	}
}
