/**
 * @autor Marcos Antonio Pereira Silva
 */

var SEPARADOR_NOME_JANELA_PESQUISA = "_u8t1a3_";

$(
	function()
	{
		var formulario = $("#form");
		if (formulario != null)
		{
			formulario.submit(function() {return validar();});
		}
		
		focalizarComponenteRequisitado();
	}
);

function erroOcorrido(mensagem, endereco, linha)
{
	// Descomentar a linha abaixo na fase de depura��o
	alert('Erro: ' + mensagem + '\nLinha: ' + linha);
	return false;
}

function focalizarComponenteRequisitado()
{
	var componenteFocalizado =
		document.getElementById("form:componenteFocalizado");
	if (componenteFocalizado != null && componenteFocalizado.value != "")
	{
		focalizarComponente(componenteFocalizado.value);
		componenteFocalizado.value = "";
	}
}

function focalizarComponente(id)
{
	var controle = document.getElementById(id);
	if (controle != null)
	{
		controle.focus();
		if (controle.type == "text")
		{
			controle.select();
		}
	}
}

function enviarEmail()
{
	var protocolo = "mailto";
	var usuario = "urca";
	var servidor = "urca.br";
	window.open(protocolo + ":" + usuario + "@" + servidor, "_self");
}

function validar()
{
	return true;
}

function obterElemento(id)
{
	return typeof id == "string" ? document.getElementById(id) : id;
}

function campoEmBranco(id, nomeComArtigo)
{
	var campo = obterElemento(id);
	var valor = campo.value;
	if (valor == null || valor.length == 0)
	{
		alert('É necessário informar ' + nomeComArtigo.toLowerCase() + '.');
		campo.focus();
		return true;
	}
	if (branco(valor))
	{
		var nomeSemArtigo = nomeComArtigo.substring(
			nomeComArtigo.indexOf(" ") + 1, nomeComArtigo.length);
		alert(nomeSemArtigo + ' em branco.');
		campo.focus();
		campo.select();
		return true;
	}
	return false;	
}

function branco(str)
{
	for (var i = 0; i < str.length; i++)
	{
		if ((str.charAt(i) != ' ') &&
			(str.charAt(i) != '\t') &&
			(str.charAt(i) != '\n') &&
			(str.charAt(i) != '\r'))
		{
			return false;
		}
	}
	return true;
}

function completarZerosEsquerda(numero, tamanho)
{
	var zeros = "";
	var num = typeof numero == "string" ? numero : String(numero);
	var totalZeros = tamanho - num.length;
	for (var i = 0; i < totalZeros; i++)
	{
		zeros += "0";
	}
	return zeros + num;
}

function exibirJanelaPesquisaFuncionarios(
	idCampoCodigoFuncionario, idNome, idNomeOculto, idBotao)
{
	if (idNome == null)
	{
		idNome = "_";
	}
	if (idNomeOculto == null)
	{
		idNomeOculto = "_";
	}
	if (idBotao == null)
	{
		idBotao = "_";
	}
	idBotao = trim(idBotao);
	var nome =
		idCampoCodigoFuncionario + SEPARADOR_NOME_JANELA_PESQUISA +
		idNome + SEPARADOR_NOME_JANELA_PESQUISA +
		idNomeOculto + SEPARADOR_NOME_JANELA_PESQUISA +
		idBotao;
	return exibirJanela('pesquisafuncionarios.xhtml', 710, 600);
}

function exibirJanelaMudancaInstituicao(idEditorOcultoInstituicao,
	tipoSetores, indicadorMudancaInstituicao, idLinkMudancaInstituicao)
{
	var instituicao =
		document.getElementById(idEditorOcultoInstituicao).value;
	
	var pagina = "mudancainstituicao.xhtml?" +
		"instituicao=" + instituicao +
		"&idInstituicao=" + idEditorOcultoInstituicao;
	if (tipoSetores != null)
	{
		pagina += "&tipoSetores=" + tipoSetores;
	}
	if (indicadorMudancaInstituicao != null)
	{
		pagina += "&imi=" + indicadorMudancaInstituicao;
	}
	if (idLinkMudancaInstituicao != null)
	{
		pagina += "&idLinkMudancaInstituicao=" + idLinkMudancaInstituicao;
	}
	
	return exibirJanela(pagina, 460, 150);
}

function exibirJanela(pagina, largura, altura, nome)
{
	var host = window.location.host;
	var caminho = window.location.pathname.substring(
		0, window.location.pathname.lastIndexOf("/"));
	var endereco = "http://" + host + caminho + "/" + pagina;
	
	var topo = parseInt((screen.availHeight / 2) - (altura / 2));
	var esquerda = parseInt((screen.availWidth / 2) - (largura / 2));

	if (nome == null)
	{
		nome = pagina.substring(0, pagina.indexOf("."));
	}

	janela = window.open(endereco, nome,
		"top=" + topo + ",left=" + esquerda + ",width=" + largura +
		",height=" + altura + ",toolbar=no,menubar=no,scrollbars=yes," +
		"resizable=yes");
	janela.focus();

	return false;
}

// trim
// Autor: Steve (http://blog.stevenlevithan.com/archives/faster-trim-javascript)
function trim(str)
{
	str = str.replace(/^\s\s*/, "");
	var ws = /\s/;
	var i = str.length;
	while (ws.test(str.charAt(--i)));
	return str.slice(0, i + 1);
}