/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh.web;

import javax.enterprise.context.SessionScoped;
import javax.enterprise.context.spi.CreationalContext;
import javax.enterprise.inject.spi.Bean;
import javax.enterprise.inject.spi.BeanManager;
import javax.faces.FacesException;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Named;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import br.urca.scdh.Arquivo;
import br.urca.scdh.IGerenciadorCadastro;
import br.urca.scdh.IGerenciadorCadastroArquivo;

@ManagedBean
@ViewScoped
//@SessionScoped
//@Named
public class CadastroArquivo extends Cadastro<Arquivo, Short>
{
	private static final long serialVersionUID = 4968940996719605145L;
	
	//public CadastroArquivo()
	//{
	//	setEntidade(getGerenciador().criar());
	//}
	
	@Override
	Class<? extends IGerenciadorCadastro<Arquivo, Short>> getClasseGerenciador()
	{
		return IGerenciadorCadastroArquivo.class;
	}
	
	private IGerenciadorCadastro<Arquivo, Short> getGerenciador()
	{
		try
		{
			BeanManager gerenciadorBean =
				(BeanManager) new InitialContext().lookup(
				"java:comp/BeanManager");
			@SuppressWarnings("unchecked")
			Bean<IGerenciadorCadastro<Arquivo, Short>> bean =
				(Bean<IGerenciadorCadastro<Arquivo, Short>>) gerenciadorBean.getBeans(
				getClasseGerenciador()).iterator().next();
			CreationalContext<IGerenciadorCadastro<Arquivo, Short>> contexto =
				gerenciadorBean.createCreationalContext(bean);
			@SuppressWarnings("unchecked")
			IGerenciadorCadastro<Arquivo, Short> gerenciador =
				(IGerenciadorCadastro<Arquivo, Short>) gerenciadorBean.getReference(
				bean, getClasseGerenciador(), contexto);
			return gerenciador;
		}
		catch (NamingException ex)
		{
			throw new FacesException(ex);
		}
	}
}
