/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh.web;

import javax.enterprise.inject.Model;
import javax.faces.application.ConfigurableNavigationHandler;
import javax.faces.context.FacesContext;
import javax.faces.event.AbortProcessingException;
import javax.faces.event.ComponentSystemEvent;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

@Model
public class Login
{
	private static final String PAGINA_INICIAL = "inicio";
	
	private String _matricula = "90000005";
	private String _senha = "1vgd4m";

	public String getMatricula()
	{
		return _matricula;
	}
	
	public void setMatricula(String matricula)
	{
		_matricula = matricula;
	}
	
	public String getSenha()
	{
		return _senha;
	}

	public void setSenha(String senha)
	{
		_senha = senha;
	}
	
	public boolean loginJaEfetuado()
	{
		boolean funcionarioAutenticado = FacesContext.getCurrentInstance().
			getExternalContext().getUserPrincipal() != null;
		return funcionarioAutenticado;
	}

	public String login()
	{
		if (loginJaEfetuado())
		{
			return PAGINA_INICIAL;
		}
		
		HttpServletRequest requisicao = (HttpServletRequest) FacesContext.
			getCurrentInstance().getExternalContext().getRequest();
		try
		{
			requisicao.login(_matricula, _senha);
			return PAGINA_INICIAL;
		}
		catch (ServletException ex)
		{
			Utils.adicionarMensagemErro("Matrcula e/ou senha invlida.");
			return null;
		} 		
	}
	
	public void checarLoginJaEfetuado(ComponentSystemEvent e)
		throws AbortProcessingException
	{
		if (loginJaEfetuado())
		{
			ConfigurableNavigationHandler gerenciadorNavegacao =
				(ConfigurableNavigationHandler) FacesContext.
				getCurrentInstance().getApplication().getNavigationHandler();
			gerenciadorNavegacao.performNavigation(PAGINA_INICIAL);
		}
	}
}
