/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.scdh.web;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;

final class Utils
{
	private Utils()
	{
	}
	
	static void adicionarMensagemErro(String mensagem)
	{
		adicionarMensagemErro(null, mensagem);
	}

	static void adicionarMensagemErro(String idComponente, String mensagem)
	{
		if (mensagem == null)
		{
			throw new NullPointerException("Mensagem nula.");
		}
		FacesMessage msg = new FacesMessage();
		msg.setSummary(mensagem);
		msg.setSeverity(FacesMessage.SEVERITY_ERROR);
		String id = idComponente == null ? null : "form:" + idComponente;
		FacesContext.getCurrentInstance().addMessage(id, msg);
	}

	static void focalizarComponente(String id)
	{
		focalizarComponente(id, false);
	}
	
	static void focalizarComponente(String id, boolean usarValorSubmetido)
	{
		UIInput detentorIdComponenteFocalizado =
			(UIInput) FacesContext.getCurrentInstance().getViewRoot().
			findComponent("form:componenteFocalizado");
		if (usarValorSubmetido)
		{
			detentorIdComponenteFocalizado.setSubmittedValue(id);
		}
		else
		{
			detentorIdComponenteFocalizado.setValue(id);
		}
	}
}
